Skip to content

Change My Password

POST
/api/account/change-password
curl --request POST \
--url https://example.com/api/account/change-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "currentPassword": "example", "newPassword": "example" }'

Requires the current password. Returns 400 if it doesn’t match.

object
accountId
string format: uuid
currentPassword
required
string
>= 1 characters <= 128 characters
newPassword
required
string
>= 8 characters <= 128 characters
Example generated
{
"accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"currentPassword": "example",
"newPassword": "example"
}

No Content

Bad Request

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}